Subject: Re: bug#23769: 25.0.95; Mode Line breakage in vc-git

From: [email-masked] (Phillip Lord)
Date: Tue, 14 Jun 2016 18:03:24 +0100

Glenn Morris <[email-masked]> writes:

> AFAIK Emacs doesn't support GIT_DIR, see eg https://debbugs.gnu.org/5344 .

Glenn

Thanks for the pointer.

The curious thing in this case is that GIT_DIR is not saying anything at
all, other than the default. Emacs should not error under such
circumstances. In my specific case, even a silent failure would be
acceptable (cause I am using Emacs in batch -- I can't even see the mode
line!).

There's a patch attached that Bug report which never seems to have been
applied.

Phil